Trying to install on Ubuntu 7.04

2007-08-11
2013-04-30
  • Andrej Ricnik
    Andrej Ricnik
    2007-08-11

    Hi,

    Trying to compile 2.4.0 from source on Ubuntu;  compilation
    fails with:
    In file included from divx.h:36,
                     from main.c:85:
    ../libavformat/avformat.h:255: warning: ‘AVFrac’ is deprecated
    main.c: In function ‘xfree_init’:
    main.c:4411: error: ‘XF86DGA_MAJOR_VERSION’ undeclared (first use in this function)
    main.c:4411: error: (Each undeclared identifier is reported only once
    main.c:4411: error: for each function it appears in.)
    main.c:4411: error: ‘XF86DGA_MINOR_VERSION’ undeclared (first use in this function)
    make[3]: *** [main.o] Error 1
    make[3]: Leaving directory `/home/andrej/source/xdtv-2.4.0/src'
    make[2]: *** [all-recursive] Error 1
    make[2]: Leaving directory `/home/andrej/source/xdtv-2.4.0/src'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/andrej/source/xdtv-2.4.0'
    make: *** [all] Error 2

    Here's relevant (?!) information:
    Get:1 http://archive.ubuntu.com feisty/main x11proto-xf86dga-dev 2.0.2-4ubuntu1 [7338B]
    Get:2 http://archive.ubuntu.com feisty/main libxxf86dga-dev 2:1.0.1-2 [16.4kB]
    Fetched 23.7kB in 1s (14.3kB/s)      
    Selecting previously deselected package x11proto-xf86dga-dev.
    (Reading database ... 164576 files and directories currently installed.)
    Unpacking x11proto-xf86dga-dev (from .../x11proto-xf86dga-dev_2.0.2-4ubuntu1_all.deb) ...
    Selecting previously deselected package libxxf86dga-dev.
    Unpacking libxxf86dga-dev (from .../libxxf86dga-dev_2%3a1.0.1-2_i386.deb) ...
    Setting up x11proto-xf86dga-dev (2.0.2-4ubuntu1) ...
    Setting up libxxf86dga-dev (1.0.1-2) ...

    What am I doing wrong?

    Cheers,
    Tink

     
    • I used synaptic to install xdtv but if you check out the qu "can not schedule a record"
      you will see the problems i am having with scheduling a record. I used the repository
      deb http://www.debian-multimedia.org stable main
      to install it.

      good luck dave

       
    • try the last bunddle. (2.4.1cvs1) I fixed this error.

      Pingus

       
    • I found this on a Ubuntu forum.....worked for me too
      Try add this one repository at the end of file "/etc/apt/sources.list"
      deb http://nicolas.estre.free.fr/ubuntu edgy main
      then do:
      sudo apt-get install libxdtv-i18n-en xdtv libxdtv-theme-aqua-en libxdtv-theme-carbone-en xaw3dg xfig libzvbi0
      Its work here on my Ubuntu 7.04